# Tournaments (Cryptohopper API)

Trading tournaments: join, leaderboards, stats and trades.

- [List tournaments](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/get-tournaments.md): `GET /tournaments`
- [List the tournaments you joined](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/get-tournaments-active.md): `GET /tournaments/active`
- [Get the all time tournament leaderboard](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/get-tournaments-leaderboard.md): `GET /tournaments/leaderboard`
- [Get the tournament leaderboard of a year](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/get-tournaments-leaderboard-year.md): `GET /tournaments/leaderboard/{year}`
- [Search tournaments](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/post-tournaments-search.md): `POST /tournaments/search`
- [Get a tournament](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/get-tournaments-tournament-id.md): `GET /tournaments/{tournament_id}`
- [Get the activity feed of a tournament](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/get-tournaments-tournament-id-activity.md): `GET /tournaments/{tournament_id}/activity`
- [Join a tournament](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/post-tournaments-tournament-id-join.md): `POST /tournaments/{tournament_id}/join`
- [Leave a tournament](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/delete-tournaments-tournament-id-join.md): `DELETE /tournaments/{tournament_id}/join`
- [Get the leaderboard of a tournament](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/get-tournaments-tournament-id-leaderboard.md): `GET /tournaments/{tournament_id}/leaderboard`
- [Get the statistics of a tournament](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/get-tournaments-tournament-id-stats.md): `GET /tournaments/{tournament_id}/stats`
- [Get your trades in a tournament](https://www.cryptohopper.com/api-documentation/api-reference/tournaments/get-tournaments-tournament-id-trades.md): `GET /tournaments/{tournament_id}/trades`

